<?php
/*
    CREATIVE COMMONS - Attribution-No Derivative Works 3.0 Germany:
    - You may not alter, transform, or build upon this work.
    - Dieses Werk darf nicht bearbeitet oder in anderer Weise verändert werden.
*/
  $daten = fgetcsv($datei, 10000, $Delimiter);
        while ($daten)
        {   
          for ($i=0; $i<count($daten); $i++)
          {
            $daten[$i] = str_replace('\'', '', $daten[$i]);
            $daten[$i] = utf8_encode($daten[$i]);
          }
            if ($daten[0]==$CurrentUser)
            {
              $UserRightEmail=1;
              $UserRightAddNews=1;
              $UserRightEditNews=1;
              $UserRightDeleteNews=1;
            }
            else
            {
              $UserRightEmail=1;
              $UserRightAddNews=0;
              $UserRightEditNews=0;
              $UserRightDeleteNews=0;
            }
            if (!addUser($daten[0], $daten[1], $daten[2], $daten[3], '', $daten[4], '', $StandardUserBackendCalenderListCols, $UserRightEmail, $UserRightAddNews, $UserRightEditNews, $UserRightDeleteNews))
            {
              $ImportFehler++;
              echo "Error: Importing User '".$daten[0]."'.<br />";
            }
         $daten = fgetcsv($datei, 10000, $Delimiter);
        }
?>
